/* Slick css */

.slick-prev:before{
    content: url('../assets/chevron-back.png');
}

.slick-next:before{
    content: url('../assets/chevron-forward.png');
}


.slick-prev{
    z-index: 5;
    left: 4px;
}

.slick-next{
    z-index: 5;
    right: 4px;
}

/* Pagina CSS */

body:has(.modal_anuncio.show){
    overflow-y: hidden;
}

body:has(.modal_filtros.show){
    overflow-y: hidden;
}

body{
    padding-bottom: 0;
}


main{
    display: flex;
    flex-direction: row;
    gap: 16px;
}

.main{
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 16px;
    
}

.tab-buttons{
    display: flex;
}

.tab-buttons button{
    width: 100%;

    color: var(--stroke-input); 

    background: none;

    border-radius: 0;
}

.tab-buttons button.active{
    color: var(--green);
    border-bottom: 2px solid var(--green);
}

.tabcontent{
    display: flex;
    flex-direction: column;
    gap: 16px;

    max-height: 66vh;
    overflow-y: auto;
}

form#form_produtos_servicos{
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.search_and_filter{
    display: flex;
    align-items: center;
    gap: 8px;
}

.search_and_filter > button{
    font-size: 20px;

    padding: 10px;

    border-radius: 50%;
}

.search_and_filter > button ion-icon{
    color: var(--white);
}

.search-wrapper{
    width: 100%;

    background: var(--white);

    border: 1px solid var(--green);

    display: flex;
    align-items: center;
    gap: 8px;

    padding: 0 12px;

    border-radius: 8px;
}

.search-wrapper input{
    border: 0;
    outline: 0;
    width: 100%;
    height: 100%;
}

.search-wrapper button{
    background: none;

}

.search-wrapper button ion-icon{
    font-size: 24px;
    color: var(--green);

}

.categorias{
    display: flex;
    align-items: center;
    gap: 8px;
    overflow-x: auto;
    white-space: nowrap; 
    padding: 10px; 
    box-sizing: border-box;
    -webkit-overflow-scrolling: touch;
}

.categorias::-webkit-scrollbar {
    display: none; 
}

.categorias {
    -ms-overflow-style: none; 
    scrollbar-width: none; 
}

.categorias label{
    
    height: 40px;

    display: flex;
    align-items: center;
    gap: 8px;

    font-size: 12px;
    font-weight: 600;
    color: var(--stroke-input);


    border: 2px solid var(--stroke-input);
    border-radius: 6px;

    padding: 4px 12px;

    white-space: nowrap;

    cursor: pointer;
}

.categorias label img{
    width: 24px;
    height: 24px;
    object-fit: contain;
}

.categorias label:has(input[type="radio"]:checked){
    background: var(--green);
    color: var(--white);

    border: 2px solid var(--green);
}

.tabcontent > h3{
    font-weight: 500;
    font-size: 16px;
}

.resultados{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 16px;

    
    padding-bottom: 56px;
}

.preco {
    font-size: 14px;
}

.resultados .card{
    display: flex;
    flex-direction: column;

    border: 1px solid var(--stroke);
    border-radius: 6px;

    box-shadow: 2px 6px 6px rgba(0,0,0,0.3);

    cursor: pointer;

    /* overflow: hidden; */
}

.resultados .card > img{
    width: 100%;
    min-height: 104px;
    height: 104px;
    object-fit: cover;
}

.card .down-card{

    height: 100%;

    display: flex;
    flex-direction: column;
    gap: 16px;
    justify-content: space-between;

    padding: 8px;
}

.card .down-card .title{
    text-align: center;
}

.card .down-card .distancia{
    font-size: 11px;
    font-weight: 500;
    color: var(--green);
}

.card .down-card .titulo{
    font-size: 14px;
    font-weight: 600;
}

.card .down-card .descricao{
    color: #454545;
    font-size: 12px;
    font-weight: 400;
}

.card .down-card .bottom-card{
    
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.card .down-card .bottom-card > img{
    width: 32px;
}



.bottom-card .img-wrapper{
    width: 28px;
    height: 28px;
    border-radius: 50%;

    overflow: hidden;

}

.bottom-card .img-wrapper img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.modal_filtros{
    position: fixed;
    left: 0;
    top: 0;

    width: 100%;
    height: 100vh;

    display: none;
    justify-content: center;
    align-items: center;

    z-index: 5;
}

.modal_filtros.show{
    display: flex;
}

.modal_filtros .card_modal{
    width: 85%;
    background: var(--white);

    padding: 16px;

    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 16px;

    border-radius: 6px;
} 

.modal_filtros .card_modal .top .left{
    display: flex;
    align-items: center;
    gap: 8px;
}

.modal_filtros .card_modal .top ion-icon{
    font-size: 24px;
}

.modal_filtros .card_modal .input-wrapper input[type="range"]{
    accent-color: var(--green);
    color: var(--white);
    background: var(--white);

    width: 100%;
    padding: 0;
}

.input-wrapper:has(input[type="range"]){
    width: 100%;
}

.modal_filtros .card_modal .input-wrapper:has(input[type="range"]) label{
    font-size: 14px;
    font-weight: 600;
}


.modal_filtros .card_modal .buttons{
    
    margin-top: 16px;
    
    width: 100%;

    display: flex;
    align-items: center;
    gap: 8px;
}

.modal_filtros .card_modal .buttons button:nth-child(1){
    width: 35%;

    color: #454545;

    background: none;

    border: 1px solid var(--stroke-input);
}

.modal_filtros .card_modal .buttons button:nth-child(2){
    width: 65%;

    border: 1px solid var(--green);
}

.card_modal .row{
    width: 100%;
    
    display: flex;
    align-items: center;
    gap: 8px;
}

.modal_anuncio{
    position: fixed;
    left: 0;
    top: 0;

    width: 100%;
    height: 100vh;

    display: none;
    justify-content: center;
    align-items: center;

    z-index: 5;
}

.modal_anuncio.show{
    display: flex;
}

.modal_anuncio .card_modal{
    width: 85%;
    min-height: 524px;
    height: fit-content;
    max-height: 88%;
    background: var(--white);

    padding: 12px 16px;

    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 8px;

    border-radius: 6px;

} 

.card_modal .top{
    width: 100%;

    display: flex;
    justify-content: space-between;
    align-items: center;

}

.card_modal .top .ellipsis-button{
    position: relative;
}

.card_modal .top .ellipsis-menu{
    width: 188px;

    left: 0;

    z-index: 6;
}

.bg-blur{
    position: fixed;
    left: 0;
    top: 0;

    width: 100%;
    height: 100vh;

    background: rgba(0,0,0,0.3);
    backdrop-filter: blur(2px);

    z-index: -1;
}

.card_modal .top > button{
    background: none;

    align-self: flex-end;

    display: flex;
    justify-content: center;
    align-items: center;


}

.card_modal .top > button ion-icon{
    color: var(--black);
    font-size: 20px;
}

.card_modal #imagens_anuncio{
    width: 100%;
    height: 156px;

    z-index: 1;
}

.card_modal #imagens_anuncio .wrapper{
    height: 156px;
}

.card_modal #imagens_anuncio img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.card_modal #imagens_anuncio video{
    width: 100%;
    height: 100%;
    object-fit: cover;
}


.card_modal .down_card{
    width: 100%;
    height: 100%;
    
    display: flex;
    flex-direction: column;
    gap: 8px;

    overflow-y: auto;
    
}

.card_modal .down_card .title{
    width: 100%;
    
    display: flex;
    flex-direction: column;
    align-items: center;

    text-align: center;

}

.card_modal .down_card .title img{
    width: 40px;
    object-fit: contain;
}

.down_card .title .titulo{
    font-weight: 500;
    font-size: 13px;
}

.down_card .title .descricao{

    font-weight: 400;
    font-size: 12px;
}

.down_card .preco{
    text-align: center;

    font-weight: 800;
    font-size: 14px;
}

.modal_anuncio .card_modal .down-card h3{
    font-size: 12px;
    font-weight: 600;
    text-align: center;
}

.comprar_button{
    width: fit-content;

    align-self: center;

    font-size: 12px;
    font-weight: 500;

    padding: 8px 12px;
    border-radius: 6px;
}

.buttons_contato{
    align-self: center;

    display: flex;
    align-items: center;
    gap: 8px;
}

.buttons_contato button{
    padding: 6px;

    font-size: 20px;

    outline: 2px solid var(--green);
    outline-offset: -1px;

    border-radius: 6px;
}

.buttons_contato button:nth-child(1) ion-icon{
    color: var(--white);

}

.buttons_contato button:nth-child(2){
    background: none;

}

.buttons_contato button:nth-child(2) ion-icon{
    color: var(--green);
}

.vendedor_informacoes{
    display: flex;
    flex-direction: column;
    gap: 4px;
}

.vendedor_informacoes .top{
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 12px;
}

.vendedor_informacoes .top .img-wrapper{
    background: #8A8A8A;

    width: 32px;
    height: 32px;
    border-radius: 50%;
    overflow: hidden;
}

.vendedor_informacoes .top .img-wrapper img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.vendedor_informacoes .top .nome{
    font-weight: 600;
    font-size: 14px;
}

.vendedor_informacoes .top .stars{
    /* padding-left: 6px; */

    display: flex;
    align-items: center;
    gap: 4px;
}

.top .stars ion-icon{
    color: var(--green);
    font-size: 16px;
}

.top .stars span{
    font-weight: 700;
    color: var(--green);
}

.vendedor_informacoes .descricao{
    font-size: 13px;
}

#novo_anuncio{
    position: fixed;
    right: 32px;
    bottom: 48px;

    width: 48px;
    height: 48px;

    display: flex;
    justify-content: center;
    align-items: center;
    
    font-size: 28px;

    border-radius: 50%;

}

#novo_anuncio ion-icon{
    color: var(--white);
}


/* Modal compra do produto/serviço */

.modal_compra{
    position: fixed;
    left: 0;
    top: 0;

    width: 100%;
    height: 100vh;

    display: none;
    justify-content: center;
    align-items: center;

    z-index: 8;
}

.modal_compra.show{
    display: flex;
}

.modal_compra .bg-blur{
    background: rgba(0,0,0,0.45);
    backdrop-filter: blur(3px);
}

.modal_compra > form{
    width: 88%;
}

.modal_compra .card_modal{
    width: 100%;
    background: var(--white);

    padding: 16px;

    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 16px;

    border-radius: 6px;

    margin-bottom: 25%;
} 

.modal_compra .card_modal .top p{
    font-size: 14px;
}

.modal_compra .card_modal .top ion-icon{
    font-size: 20px;
}

.modal_compra .card_modal .input-wrapper input[type="range"]{
    accent-color: var(--green);
    color: var(--white);
    background: var(--white);

    width: 100%;
    padding: 0;
}

.input-wrapper:has(input[type="range"]){
    width: 100%;
}

.modal_compra .card_modal .input-wrapper:has(input[type="range"]) label{
    font-size: 14px;
    font-weight: 600;
}


.modal_compra .card_modal .buttons{
    
    margin-top: 16px;
    
    width: 100%;

    display: flex;
    align-items: center;
    gap: 8px;
}

.modal_compra .card_modal .buttons button:nth-child(1){
    width: 35%;

    color: #454545;

    background: none;

    border: 1px solid var(--stroke-input);
}

.modal_compra .card_modal .buttons button:nth-child(2){
    width: 65%;

    border: 1px solid var(--green);
}

.card_modal .row{
    width: 100%;
    
    display: flex;
    align-items: center;
    gap: 8px;
}

.card_modal .input-wrapper{
    width: 100%;
}

.card_modal.step-2,
.card_modal.step-3{
    display: none;
}

.retirar_local_infos{
    display: none;
    flex-direction: column;
    gap: 16px;

}

.wrapper{
    display: flex;
    flex-direction: column;
    gap: 4px;
}

.wrapper p{
    font-size: 12px;
}

.wrapper p:nth-child(1){
    font-weight: 700;
    color: var(--black);
}

.wrapper p:nth-child(2){
    font-size: 13px;
    font-weight: 400;
    color: var(--green);
}

.informacoes_do_profissional h3{
    text-align: center;
    font-size: 16px;
}

.informacoes_do_profissional p{
    font-weight: 600;
    font-size: 12px;

    display: flex;
    align-items: center;
    gap: 6px;
}

.informacoes_do_profissional p span{
    font-weight: 400;
    font-size: 12px;
}

@media(min-width: 880px){
    .resultados{
        overflow: scroll;

        grid-template-columns: repeat(3, 1fr);
    }

    .modal_filtros .card_modal{
        width: 40%;
    } 

    .modal_anuncio .card_modal{
        width: 45%;
        min-height: 524px;
        height: fit-content;
        max-height: 88%;
        background: var(--white);
    
        padding: 12px 16px;
    
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 8px;
    
        border-radius: 6px;
    
    } 
    
    .card_modal #imagens_anuncio{
        height: 248px;
    }

    .card_modal #imagens_anuncio .wrapper{
        height: 248px;
    }

    .modal_compra > form{
        width: 40%;
    }
}

